<template>
  <footer class="footer">
    <div v-if="isAuthenticated && isOnIndex" class="footer_container">
      <div class="footer_titulo">
        Contagem de Créditos (Total:
          {{ getCredObgApproved + getCredElApproved + getCredLivreApproved }} /
          {{ cred_obg_total + cred_el_total + cred_livre_total }})
      </div>

      <progresso class="obrigatoria_container"
        titulo="Obrigatórias"
        :cred_cumpridos="getCredObgApproved"
        :cred_plan="getCredObgPlanned"
        :cred_total="cred_obg_total"
      />

      <progresso class="eletiva_container"
        titulo="Eletivas"
        :cred_cumpridos="getCredElApproved"
        :cred_plan="getCredElPlanned"
        :cred_total="cred_el_total"
      />

      <progresso class="livre_container"
        titulo="Livres"
        :cred_cumpridos="getCredLivreApproved"
        :cred_plan="getCredLivrePlanned"
        :cred_total="cred_livre_total"
      />
    </div>

  </footer>
</template>

<script>
import Progresso from '@/components/Progresso.vue'
import {mapGetters } from 'vuex';

export default {
  components: {
    Progresso
  },


  data() {
    return {
      cred_obg_total: 115,
      cred_el_total: 56,
      cred_livre_total: 24
    }
  },

  computed: {
    ...mapGetters([
      'isAuthenticated',
      'getNusp',
      'getCredObgApproved',
      'getCredElApproved',
      'getCredLivreApproved',
      'getCredObgPlanned',
      'getCredElPlanned',
      'getCredLivrePlanned',
      'isOnIndex',
      'getPlanNumber'
    ])
  }
}
</script>

<style lang="scss">
.footer {
  grid-area: footer;
  justify-self: stretch;
  align-self: stretch;
  background: $medium-color;
}

.footer_container {
  display: grid;
  grid-template-areas:
    "titulo titulo titulo"
    "obrigatoria eletiva livre";
  justify-items: center;

  background: $light-color;
  padding-bottom: 0.8em;
}

.footer_titulo {
  grid-area: titulo;
  justify-self: stretch;

  padding: 0.3em 1em;

  background: $primary-color;
  color: white;
  margin-bottom: 1em;
}

.obrigatoria_container {
  grid-area: obrigatoria;
}

.eletiva_container {
  grid-area: eletiva;
}

.livre_container {
  grid-area: livre;
}

</style>
